> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/mariadb/api/v1-api/prerequisites.md).

# Prerequisites

Follow the network specifications and resource considerations listed on this page to successfully set up a MariaDB cluster.

## Network configuration

To set up a database inside an existing data center, you should have at least one server in a private LAN. You need to choose an IP address, under which the database leader should be made available.

There is currently no IP address management for databases. If you use your subnet, you may use any IP address in that corresponding subnet. You must choose the IP address of the subnet that <code class="expression">space.vars.ionos\_cloud</code> assigns you if your servers use DHCP. The IP address of the subnet can be found in your NIC configuration.

## Resource considerations

CPU, RAM, storage, and number of database clusters are counted against quotas. Database performance depends on the storage type.

The [<mark style="color:blue;">binary log files</mark>](https://mariadb.com/kb/en/overview-of-the-binary-log/) are stored alongside the database. The amount of files can grow and shrink depending on your workload. For a reasonable performance, we recommend that you set the storage size to at least 100 GB.

## Database backups

All database clusters are backed up automatically. For more information, see [\<mark style="color:blue;"How do backups work in MariaDB v1?](/cloud/databases/mariadb/overview/backups.md#how-do-backups-work-in-mariadb-v1).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/databases/mariadb/api/v1-api/prerequisites.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
